Last Comment Bug 400372 - New composer window isn't unmodified
: New composer window isn't unmodified
Status: RESOLVED FIXED
: fixed-seamonkey1.1.7, fixed-seamonkey1.1.8, regression
Product: SeaMonkey
Classification: Client Software
Component: Composer (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 369392
  Show dependency treegraph
 
Reported: 2007-10-19 02:41 PDT by neil@parkwaycc.co.uk
Modified: 2009-12-20 07:57 PST (History)
5 users (show)
iann_bugzilla: blocking‑seamonkey1.1.8+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (1.06 KB, patch)
2007-10-28 11:54 PDT, neil@parkwaycc.co.uk
daniel: review+
iann_bugzilla: approval‑seamonkey1.1.8+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2007-10-19 02:41:56 PDT
Steps to reproduce problem:
1. Open a new composer page
2. Close it

Expected result: page closes

Actual result: save page dialog

This is because SetDocumentCharacterSet increments the modification count.
Comment 1 Ian Neal 2007-10-19 03:05:45 PDT
I am assuming this regression is on branch as well as trunk?
Comment 2 neil@parkwaycc.co.uk 2007-10-28 11:54:26 PDT
Created attachment 286488 [details] [diff] [review]
Proposed patch

I assume here that setting the charset is normally supposed to be undoable...
Comment 3 Daniel Glazman (:glazou) 2007-10-28 12:45:16 PDT
Comment on attachment 286488 [details] [diff] [review]
Proposed patch

r=me
Comment 4 neil@parkwaycc.co.uk 2007-10-28 14:35:27 PDT
Fix checked in.

Note You need to log in before you can comment on or make changes to this bug.